%define modname cairo_wrapper
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A99_%{modname}.ini

Summary:	Cairo Wrapper Extension
Name:		php-%{modname}
Version:	0.2.4
Release:	%mkrel 16
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/cairo_wrapper/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		cairo_wrapper-0.2.4-php5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	pkgconfig
BuildRequires:	cairo-devel >= 1.2.2
# having both of them prevent php from working
# they share the same symbol table
Conflicts:  php-cairo
%description
A cairo API wrapper. For details about cairo see http://cairographics.org/

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.2.4-16.mga4
+ Revision: 567632
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.2.4-15.mga4
+ Revision: 527784
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.2.4-14.mga4
+ Revision: 442624
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.2.4-13.mga3
+ Revision: 393252
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 0.2.4-12.mga3
+ Revision: 376437
- fix build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.4-11.mga2
+ Revision: 223870
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.2.4-10.mga2
+ Revision: 185094
- rebuild against php-5.3.9
  upgrade to 1.0.2

  + misc <misc>
    - prevent bug when both php-cairo and php-cairo_wrapper are loaded

* Sun Feb 06 2011 spuhler <spuhler> 0.2.4-8.mga1
+ Revision: 47760
- removed buildroot definition from .spec
- imported package php-cairo_wrapper


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-8mdv2011.0
+ Revision: 629771
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-7mdv2011.0
+ Revision: 628073
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-6mdv2011.0
+ Revision: 600467
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-5mdv2011.0
+ Revision: 588749
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-4mdv2010.1
+ Revision: 514523
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-3mdv2010.1
+ Revision: 485345
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-2mdv2010.1
+ Revision: 468150
- rebuilt against php-5.3.1

* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdv2010.0
+ Revision: 452906
- import php-cairo_wrapper


* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdv2010.0
- initial Mandriva package
